Debian Bug report logs - #624938
xf86-input-tslib: FTBFS: tslib.c:109:14: error: unknown type name 'LocalDevicePtr'

version graph

Package: src:xf86-input-tslib; Maintainer for src:xf86-input-tslib is Debian Embedded <debian-embedded@lists.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 2 May 2011 12:48:30 UTC

Severity: serious

Tags: sid, wheezy

Found in version xf86-input-tslib/0.0.6-6

Fixed in version xf86-input-tslib/0.0.6-7

Done: Hector Oron <hector.oron@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#624938; Package src:xf86-input-tslib. (Mon, 02 May 2011 12:48:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Embedded <debian-embedded@lists.debian.org>. (Mon, 02 May 2011 12:48:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: xf86-input-tslib: FTBFS: tslib.c:109:14: error: unknown type name 'LocalDevicePtr'
Date: Mon, 2 May 2011 14:39:47 +0200
Source: xf86-input-tslib
Version: 0.0.6-6
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110502 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  gcc -DHAVE_CONFIG_H -I. -I.. -g -O2 -g -O2 -Wall -fvisibility=hidden -I/usr/include/xorg -I/usr/include/pixman-1 -I../src -c tslib.c  -fPIC -DPIC -o .libs/tslib.o
> tslib.c:109:14: error: unknown type name 'LocalDevicePtr'
> tslib.c:138:24: error: unknown type name 'LocalDevicePtr'
> tslib.c: In function 'xf86TslibControlProc':
> tslib.c:385:13: error: too few arguments to function 'InitValuatorAxisStruct'
> /usr/include/xorg/exevents.h:43:23: note: declared here
> tslib.c:395:13: error: too few arguments to function 'InitValuatorAxisStruct'
> /usr/include/xorg/exevents.h:43:23: note: declared here
> tslib.c: In function 'xf86TslibUninit':
> tslib.c:437:2: warning: 'Xfree' is deprecated (declared at /usr/include/xorg/os.h:235) [-Wdeprecated-declarations]
> tslib.c: At top level:
> tslib.c:448:35: error: unknown type name 'IDevPtr'
> tslib.c:550:2: error: 'xf86TslibInit' undeclared here (not in a function)
> tslib.c: In function 'xf86TslibPlug':
> tslib.c:581:14: warning: unused variable 'Initialised' [-Wunused-variable]
> tslib.c: At top level:
> tslib.c:90:1: warning: 'BellProc' defined but not used [-Wunused-function]
> tslib.c:97:1: warning: 'KeyControlProc' defined but not used [-Wunused-function]
> make[3]: *** [tslib.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/02/xf86-input-tslib_0.0.6-6_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug Marked as fixed in versions xf86-input-tslib/0.0.6-7. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 10:06:03 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <hector.oron@gmail.com>:
You have taken responsibility. (Tue, 07 Jun 2011 10:10:21 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 10:10:28 GMT) Full text and rfc822 format available.

Message #12 received at 624938-done@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 624938-done@bugs.debian.org
Subject: Re: Bug#624938: xf86-input-tslib: FTBFS: tslib.c:109:14: error: unknown type name 'LocalDevicePtr'
Date: Tue, 7 Jun 2011 11:04:41 +0100
Hi,

2011/5/2 Lucas Nussbaum <lucas@lucas-nussbaum.net>:

>>  gcc -DHAVE_CONFIG_H -I. -I.. -g -O2 -g -O2 -Wall -fvisibility=hidden -I/usr/include/xorg -I/usr/include/pixman-1 -I../src -c tslib.c  -fPIC -DPIC -o .libs/tslib.o
>> tslib.c:109:14: error: unknown type name 'LocalDevicePtr'
>> tslib.c:138:24: error: unknown type name 'LocalDevicePtr'
>> tslib.c: In function 'xf86TslibControlProc':
>> tslib.c:385:13: error: too few arguments to function 'InitValuatorAxisStruct'
>> /usr/include/xorg/exevents.h:43:23: note: declared here
>> tslib.c:395:13: error: too few arguments to function 'InitValuatorAxisStruct'
>> /usr/include/xorg/exevents.h:43:23: note: declared here
>> tslib.c: In function 'xf86TslibUninit':
>> tslib.c:437:2: warning: 'Xfree' is deprecated (declared at /usr/include/xorg/os.h:235) [-Wdeprecated-declarations]
>> tslib.c: At top level:
>> tslib.c:448:35: error: unknown type name 'IDevPtr'
>> tslib.c:550:2: error: 'xf86TslibInit' undeclared here (not in a function)
>> tslib.c: In function 'xf86TslibPlug':
>> tslib.c:581:14: warning: unused variable 'Initialised' [-Wunused-variable]
>> tslib.c: At top level:
>> tslib.c:90:1: warning: 'BellProc' defined but not used [-Wunused-function]
>> tslib.c:97:1: warning: 'KeyControlProc' defined but not used [-Wunused-function]
>> make[3]: *** [tslib.lo] Error 1

Fixed on 0.0.6-7 by porting xf86-input-tslib to X.org Input ABI 12.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.

<free spam>
-- Would you like to make a donation for Debian Conference?
   ** http://debconf11.debconf.org/payments.xhtml **
</free spam>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jul 2011 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:14:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.